/* 
**	mpeg.h
*/
#include <stdio.h>
#include <stdlib.h>
#include <sys/types.h>
#include <sys/time.h>
#include <math.h>
#include <string.h>
#include <fcntl.h>
#include <setjmp.h>

/* #define Long64		/* 64 bit machine: alpha */
#define Int32	/* 32 bit machine */
#define LE	/* little endian: alpha, pentium */

/*
#define Debug
#define Disp8
*/
#ifndef Debug
#define pr 0
#define prsl 0
#define pri 0
#define prp 0
#define prb 0
#define prd 0
#define prdc 0
#define	prrl 0
#define prcbp 0
#define prc 0
#define error_detect 0
#define fld(a,b) fld(a)
#endif

typedef unsigned char  Uc;
typedef unsigned short Us;
typedef unsigned int   Ui;
typedef unsigned long  Ul;

struct clp{
Ui mr[256]; Ui r[512];
Ui mg[256]; Ui g[512];
Ui mb[256]; Ui b[512];	/* rgb dither */
Ui my[256]; Ui y[512];
Ui mu[256]; Ui u[512];
Ui mv[256]; Ui v[512];	/* yuv dither */
Ui mq[256]; Ui sq[512];	/* square */
Ui mc[256]; Ui cl[512];	/* [0.255] clip */
	};
typedef struct clp Clp;
/*
 * VLC lenght tables
 */
extern Ui buf;
extern char *fsif, *bsif, *osif, *out;
extern int	ptyp;

/* for enc-dec debug */
#ifdef Debug
extern int 	pr,prsl;
extern int	pri,prp,prb,prd;
extern int 	prcbp,prdc,prrl;
extern int 	prc,error_detect;
#endif

extern int	dhs,dvs,hs,vs,vhs;
extern int	ffp,bfp;
extern int	Len[113],Cod[113],Run[113],Lev[113];
extern int	lasty,lastu,lastv;
extern jmp_buf	jpb;
extern int	x2;
extern int	pdct;
extern int	cmp;
extern int	ddt;
extern int	bgc;
extern int	lastpt;
extern int	gray;
extern int	sync;
extern int	wid;
extern int	deb;
extern char	font[256][15];


